#!/etc/opt/openit/perl -w

use strict;

# Server
if ( -r "/opt/openit/bin/openit-server") {
    system("files/fix_dist.pl");
    system("/opt/openit/bin/openit-server restart");
}

# Client
if ( -r "/opt/openit/bin/openit-client") {
    open(CONS, "|/opt/openit/bin/clicons > /dev/null 2>&1") || die;
    print CONS "do dist\n";
    print CONS "quit\n";
    close(CONS);

    my $waits = 15;
    while(! -r "/var/opt/openit/etc/acc_types" && $waits--) {
	sleep(2);
    }
    if (! -r "/var/opt/openit/etc/acc_types") {
	die "\nERROR: Unable to get acc_types from server, has patch\nbeen installed on server?\n";
    }

    system("/opt/openit/bin/openit-client stop >/dev/null 2>&1");
    system("files/fix_cfg.pl ACCOUNTING_INFO 'ACCOUNTING_INFO  \$CONFIG_DIR/acc_types'");
    system("/opt/openit/bin/openit-client start >/dev/null 2>&1");
}
